[Deprecated]: V4.0
get
/ec-designer-svc/rest/v4.0/studies/{studyId}/versions/{version}/design
Deprecated: Use latest version instead. Retrieves list of visits in a study's design.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E -
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
Query Parameters
-
isLiteAPI: boolean
If true, generate light version of the API. Optional.Default Value:
trueExample:true
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object Visit Design DTO V4
Visit Design properties
Nested Schema : Visit Design DTO V4
Type:
objectVisit Design properties
Show Source
-
eventType: string
Visit Design event typeExample:
ScreeningVisit -
id: string
(uuid)
Visit ID (UUID, 32-character uppercase hexadecimal string)
-
shortName: string
Visit Design short nameExample:
Week1 -
state: object
Visit Design Dispensing DTO V4
Visit Design dispensing properties
-
title: string
Visit Design titleExample:
Week1
Nested Schema : Visit Design Dispensing DTO V4
Type:
objectVisit Design dispensing properties
Show Source
-
count: integer
(int32)
Number of dispensation assignments for this visitExample:
1 -
deviceCount: integer
(int32)
Number of device dispensation assignments for this visitExample:
1 -
titrationCount: integer
(int32)
Number of titration assignments for this visitExample:
1
Examples
204 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object Visit Design DTO V4
Visit Design properties
Nested Schema : Visit Design DTO V4
Type:
objectVisit Design properties
Show Source
-
eventType: string
Visit Design event typeExample:
ScreeningVisit -
id: string
(uuid)
Visit ID (UUID, 32-character uppercase hexadecimal string)
-
shortName: string
Visit Design short nameExample:
Week1 -
state: object
Visit Design Dispensing DTO V4
Visit Design dispensing properties
-
title: string
Visit Design titleExample:
Week1
Nested Schema : Visit Design Dispensing DTO V4
Type:
objectVisit Design dispensing properties
Show Source
-
count: integer
(int32)
Number of dispensation assignments for this visitExample:
1 -
deviceCount: integer
(int32)
Number of device dispensation assignments for this visitExample:
1 -
titrationCount: integer
(int32)
Number of titration assignments for this visitExample:
1
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}